import { world } from "@minecraft/server";
import { nameSpace } from "./namespace.js";

const bookTag = nameSpace + "_guidebook";

function giveBook(player) {
    if (player == null) {
        return;
    }

    let hasBook = false;

    const tags = player.getTags();
    tags.forEach((tag) => {
        if (tag == bookTag) {
            hasBook = true;
        }
    });

    if (!hasBook) {
        const posX = player.location.x;
        const posY = player.location.y;
        const posZ = player.location.z;
        const dimension = player.dimension;
        dimension.runCommandAsync(`structure load ${nameSpace}:guidebook ${posX} ${posY} ${posZ} 0_degrees`);
        player.addTag(bookTag);
    }
}

world.afterEvents.playerSpawn.subscribe((data) => {
    if (data.initialSpawn) {
        giveBook(data.player);
    }
});