import { ActionFormData } from "@minecraft/server-ui";
import { nameSpace } from "../namespace.js";
import { rotationMenu } from "./rotation.js";
import { movementMenu } from "./movement.js";
import { scaleMenu } from "./scale.js";

const buttons = [
    { name: "Movement"},
    { name: "Rotation"},
    { name: "Scale" },
    { name: "Pick Up"},
];

export function mobheadMenu(player, entity) {
    const form = new ActionFormData().title(`entity.${entity.typeId}.name`).body("Adjust Mob Head...");
    buttons.forEach((button) => {
        let name = button.name;
        form.button(name);
    });
    form.show(player)
        .then((response) => {
            if (!response.canceled) {
                switch (response.selection) {
                    case 0:
                        movementMenu(player, entity);
                        break;
                    case 1:
                        rotationMenu(player, entity);
                        break;
                    case 2:
                        scaleMenu(player, entity);
                        break;
                    case 3:
                        entity.triggerEvent(`${nameSpace}:pickup`);
                        break;
                }
            }
        })
        .catch((error) => {
            player.sendMessage("Failed to show form: " + error);
            return -1;
        });
}
