import { ActionFormData } from "@minecraft/server-ui";
import { nameSpace } from "../namespace.js";

const buttons = [
    { name: "Move Up" },
    { name: "Move Down" },
    { name: "Move +X" },
    { name: "Move -X" },
    { name: "Move +Z" },
    { name: "Move -Z" },
];

export function movementMenu(player, entity) {
    const form = new ActionFormData().title(`entity.${entity.typeId}.name`);
    buttons.forEach((button) => {
        let name = button.name;
        let icon = button.icon;
        form.button(name, icon);
    });
    form.show(player)
        .then((response) => {
            if (!response.canceled) {
                let locX = entity.location.x;
                let locY = entity.location.y;
                let locZ = entity.location.z;
                switch (response.selection) {
                    case 0 :
                        locY += 0.1;
                    break;
                    case 1 :
                        locY -= 0.1;
                    break;
                    case 2 :
                        locX += 0.1;
                    break;
                    case 3 :
                        locX -= 0.1;
                    break;
                    case 4 :
                        locZ += 0.1;
                    break;
                    case 5 :
                        locZ -= 0.1;
                    break;
                }
                entity.teleport({x: locX, y: locY, z: locZ});
            }
        })
        .catch((error) => {
            player.sendMessage("Failed to show form: " + error);
            return -1;
        });
}
