import { ModalFormData } from "@minecraft/server-ui";
import { nameSpace } from "../namespace.js";

export function rotationMenu(player, entity) {
    const form = new ModalFormData().title(`entity.${entity.typeId}.name`);

    form.slider("Rotate X", 0, 355, 5, entity.getProperty(`${nameSpace}:x_rotation`));
    form.slider("Rotate Y", 0, 355, 5, entity.getProperty(`${nameSpace}:y_rotation`));
    form.slider("Rotate Z", 0, 355, 5, entity.getProperty(`${nameSpace}:z_rotation`));
    form.submitButton(`Set Rotation`);

    form.show(player)
        .then((response) => {
            if (!response.canceled) {
                entity.setProperty(`${nameSpace}:x_rotation`, response.formValues[0]);
                entity.setProperty(`${nameSpace}:y_rotation`, response.formValues[1]);
                entity.setProperty(`${nameSpace}:z_rotation`, response.formValues[2]);
            }
        })
        .catch((error) => {
            player.sendMessage("Failed to show form: " + error);
            return -1;
        });
}
