import { ActionFormData } from "@minecraft/server-ui";
import { nameSpace } from "../namespace.js";

const buttons = [
    { name: "Small" },
    { name: "Medium" },
    { name: "Large" },
];

export function scaleMenu(player, entity) {
    const form = new ActionFormData().title(`entity.${entity.typeId}.name`);
    buttons.forEach((button) => {
        let name = button.name;
        let icon = button.icon;
        form.button(name, icon);
    });
    form.show(player)
        .then((response) => {
            if (!response.canceled) {
                switch (response.selection) {
                    case 0 :
                        entity.triggerEvent(`${nameSpace}:scale_small`);
                    break;
                    case 1 :
                        entity.triggerEvent(`${nameSpace}:scale_medium`);
                    break;
                    case 2 :
                        entity.triggerEvent(`${nameSpace}:scale_large`);
                    break;
                }
            }
        })
        .catch((error) => {
            player.sendMessage("Failed to show form: " + error);
            return -1;
        });
}
